body {
  margin: 0;
  overflow-x: hidden;
}

#content-panel button {
  background-color: white;
  border: 1px solid #ddd;
  border-radius: 5px;
  color: #494949;
  font-size: 13px;
  margin: 0;
  padding: 12px 22px;
  text-transform: none;
}

button:focus,
input:focus {
  outline: none;
}

#content-panel button:hover {
  background-color: #eee;
}

input {
  border: 1px solid #e1e1e1;
  box-sizing: border-box;
  padding: 6px;
  width: 100%;
}

#instructions {
  margin-top: 20px;
}

#instructions > * {
  margin-bottom: 10px;
}

#address {
  font-size: 18px;
}

.bold {
  font-family: Avant-Garde-Demi, Helvetica, Arial, sans-serif;
}

.buttons {
  display: flex;
  gap: 10px;
}

#content-panel {
  background-color: #fafafa;
  box-sizing: border-box;
  padding: 20px;
  position: absolute;
}

#content-model {
  clip-path: inset(0 0 0 0);
  position: absolute;
}

.selection-box {
  background-color: rgba(158, 158, 158, 0.2);
  border: 2px dashed #ffcb00;
  pointer-events: none;
  position: absolute;
}

.metric {
  align-items: center;
  display: flex;
}

.metric > div:first-child {
  align-items: center;
  display: flex;
  flex: 1;
}

.metrics-body {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

#mode-select {
  margin: 20px 0;
}

.pitch-table input {
  width: 80px;
}

.pitch-table th {
  padding-right: 20px;
  text-align: left;
}

.swatch {
  height: 20px;
  margin-right: 8px;
  width: 20px;
}

.thumbnail {
  background-color: #eee;
  border-radius: 5px;
  cursor: pointer;
  height: 260px;
  width: 260px;
}

.thumbnail-container {
  margin-bottom: 12px;
  position: relative;
}

.thumbnail-label {
  background-color: rgba(0, 0, 0, 1);
  border-radius: 5px 0 0 0;
  color: #fff;
  left: 0;
  padding: 6px 10px;
  position: absolute;
  top: 0;
}

#thumbnail-overlay {
  background-color: rgba(0, 0, 0, 0.5);
  bottom: 0;
  display: none;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 100;
}

#thumbnail-overlay.visible {
  display: block;
}

#thumbnail-enlarged {
  cursor: pointer;
  display: none;
  height: min(800px, 90vw, 90vh);
  left: 50%;
  position: fixed;
  top: 50%;
  transform: translate(-50%, -50%);
  width: min(800px, 90vw, 90vh);
  z-index: 101;
}

#thumbnail-enlarged.visible {
  display: block;
}

#thumbnail-enlarged-image {
  background-color: #eee;
  border-radius: 5px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
  height: 100%;
  width: 100%;
}

#thumbnail-enlarged-label {
  background-color: rgba(0, 0, 0, 1);
  border-radius: 5px 0 0 0;
  color: #fff;
  left: 0;
  padding: 6px 10px;
  position: absolute;
  top: 0;
}

#loading {
  position: fixed;
  display: none;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0.7;
  background-color: #fff;
  z-index: 99;
}

#loading-image {
  z-index: 100;
}
